
/*
+-+-+-+-+-+-+-+-+-
*/
/*
**		     Electronic Radiology Laboratory
**		   Mallinckrodt Institute of Radiology
**		Washington University School of Medicine
**
** Module Name(s):
** Author, Date:	Aniruddha Gokhale, 24-May-1995
** Intent:		Common declarations shared between many files
** Last Update:		$Author: asg $, $Date: 1995/06/26 15:49:07 $
** Source File:		$RCSfile: create.h,v $
** Revision:		$Revision: 1.5 $
** Status:		$State: Exp $
*/

#ifndef _CREATE_H_
#define _CREATE_H_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/file.h>
#ifdef SOLARIS
#include <sys/fcntl.h>
#endif
#include <sys/types.h>
#include <sys/stat.h>
#include "dicom.h"
#include "condition.h"
#include "lst.h"
#include "dicom_objects.h"

typedef struct {
    void *reserved[2];
    char str[DICOM_LO_LENGTH + 1];	/* allocate largest length in DICOM */
}   MULTVAL_ITEM;

extern FILE
*   yyin;			/* file parsed by the YACC parser */
extern DCM_OBJECT
*   object;			/* holds the created object */
extern CTNBOOLEAN
    verbose;
CONDITION
makeElement(int, int, void *, DCM_ELEMENT **);
void yyerror(const char *);

#endif
